<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Field</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Field";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Field.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/model/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model</div>
<h2 title="Class Field" class="title">Class Field</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.Field</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Field</span>
extends java.lang.Object</pre>
<div class="block">Field description.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#Field-java.lang.String-de.rowlo.tridchess.gui.FieldView-de.rowlo.tridchess.model.Board-">Field</a></span>(java.lang.String&nbsp;n,
     <a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a>&nbsp;f,
     <a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#get3DName--">get3DName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#getFigure--">getFigure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#getView--">getView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard</a></span>(<a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#setFigure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-boolean-">setFigure</a></span>(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;fromField,
         <a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure,
         boolean&nbsp;logTheMove)</code>
<div class="block">Sets the figure of this field with logging the move.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#setFigure-de.rowlo.tridchess.model.Figure-">setFigure</a></span>(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure)</code>
<div class="block">Sets the figure of the field without logging.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;n)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#setView-de.rowlo.tridchess.gui.FieldView-">setView</a></span>(<a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a>&nbsp;view)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Field.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Field-java.lang.String-de.rowlo.tridchess.gui.FieldView-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Field</h4>
<pre>public&nbsp;Field(java.lang.String&nbsp;n,
             <a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a>&nbsp;f,
             <a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - String; not null</dd>
<dd><code>f</code> - FieldView; not null</dd>
<dd><code>b</code> - Board; not null</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;getBoard()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Board</dd>
</dl>
</li>
</ul>
<a name="setBoard-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoard</h4>
<pre>public&nbsp;void&nbsp;setBoard(<a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>board</code> - Board</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name</dd>
</dl>
</li>
</ul>
<a name="get3DName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get3DName</h4>
<pre>public&nbsp;java.lang.String&nbsp;get3DName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;n)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - String</dd>
</dl>
</li>
</ul>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a>&nbsp;getView()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FieldView</dd>
</dl>
</li>
</ul>
<a name="setView-de.rowlo.tridchess.gui.FieldView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setView</h4>
<pre>public&nbsp;void&nbsp;setView(<a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a>&nbsp;view)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - FieldView</dd>
</dl>
</li>
</ul>
<a name="getFigure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigure</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getFigure()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>figure</dd>
</dl>
</li>
</ul>
<a name="setFigure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFigure</h4>
<pre>public&nbsp;void&nbsp;setFigure(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;fromField,
                      <a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure,
                      boolean&nbsp;logTheMove)</pre>
<div class="block">Sets the figure of this field with logging the move. If the field
 contained a figure it will be placed out of game.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>figure</code> - Figure</dd>
<dd><code>logTheMove</code> - true, to log the move</dd>
</dl>
</li>
</ul>
<a name="setFigure-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFigure</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;setFigure(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure)</pre>
<div class="block">Sets the figure of the field without logging.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>figure</code> - Figure</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attacked Figure, if the Field was occupied, else null.</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Field.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/model/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
